<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<button #appDropDown="appDropDown"
        (click)="appDropDown.toggle()"
        (appClose)="isOpen = false"
        [appDropDown]="dropDownTemplate"
        (appOpen)="isOpen = true"
        [appConnectedPositions]="connectedPositions"
        [class.nav-drop-down-button-opened]="isOpen"
        class="nav-drop-down-button nav-drop-down-toggle cursor-pointer user-select-none">

  <span class="nav-drop-down-button-label">
    <ng-content></ng-content>
  </span>

  <mat-icon
    [class.nav-drop-down-button-icon-opened]="appDropDown.isOpen"
    class="nav-drop-down-button-icon">
    play_arrow
  </mat-icon>

</button>

<ng-template #dropDownTemplate>

  <div *ngIf="appDropDown.isOpen" class="nav-drop-down-menu">

    <button (click)="logOut()"
            class="nav-drop-down-button cursor-pointer user-select-none nav-drop-down-menu-item">
      <span> {{ 'core.actions.logout' | translate}}</span>
    </button>

  </div>
</ng-template>
